version: '2'
.catalog:
  name: wiki
  version: 0.1.1-dokuwiki-rancher
  description: |
    Sistema de Documentação.
  minimum_rancher_version: v0.56.0
  maintainer: "Aurelio Pires <penha.aurelio@gmail.com>"
  questions:
      - variable: "domain_app"
        description: "Informe a tag (FQDN) para esse serviço"
        label: "FQDN Result:"
        required: true
        default: "wiki-lab.antaq.gov.br"
        type: "string"
      - variable: "http_port"
        description: "Porta HTTP que será exposta:"
        label: "Porta HTTP:"
        required: true
        default: 80
        type: "int"
      - variable: "DNS"
        description: "Endereço do DNS"
        label: "DNS:"
        required: true
        default: "10.61.0.66"
        type: "string"
      - variable: "FILES_CAMINHO"
        description: "Caminho dos arquivos wiki_data"
        label: "Caminho dos arquivos de dados da wiki"
        required: true
        type: enum
        options:
          - /opt/nfs-server/arquivos/wiki_prd/data/

services:
    http:
       scale: 1
